/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jarc4.cpp,v 1.9 2005/01/06 18:16:42 jay Exp $
*/

#include "jarc4.h"

#if ENABLED_ARC4

SymmetricCipher* JARC4::getEncryptionObject()
{
	return new ARC4((byte*) itsKey.data(), itsKeylength);
}

SymmetricCipher* JARC4::getDecryptionObject()
{
	return getEncryptionObject();
}

#endif
