/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jblowfish.cpp,v 1.8 2005/01/06 18:16:42 jay Exp $
*/

#include "jblowfish.h"

#if ENABLED_BLOWFISH

BlockCipher* JBlowfish::getEncryptionObject()
{
	return new BlowfishEncryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JBlowfish::getDecryptionObject()
{
	return new BlowfishDecryption((byte*) itsKey.data(), itsKeylength);
}

#endif
