/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jcast256.cpp,v 1.8 2005/01/06 18:16:42 jay Exp $
*/

#include "jcast256.h"

#if ENABLED_CAST256

BlockCipher* JCAST256::getEncryptionObject()
{
	return new CAST256Encryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JCAST256::getDecryptionObject()
{
	return new CAST256Decryption((byte*) itsKey.data(), itsKeylength);
}

#endif
