/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jdes_ede2.cpp,v 1.8 2005/01/06 18:16:42 jay Exp $
*/

#include "jdes_ede2.h"

#if ENABLED_DES_EDE2

BlockCipher* JDES_EDE2::getEncryptionObject()
{
	return new DES_EDE2_Encryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JDES_EDE2::getDecryptionObject()
{
	return new DES_EDE2_Decryption((byte*) itsKey.data(), itsKeylength);
}

#endif
