/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jdiamond2.cpp,v 1.5 2005/01/06 18:16:42 jay Exp $
*/

#include "jdiamond2.h"

#if ENABLED_DIAMOND2

BlockCipher* JDiamond2::getEncryptionObject()
{
	return new Diamond2Encryption((byte*) itsKey.data(), itsKeylength, itsRounds);
}

BlockCipher* JDiamond2::getDecryptionObject()
{
	return new Diamond2Decryption((byte*) itsKey.data(), itsKeylength, itsRounds);
}

#endif
