/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jdiamond2lite.cpp,v 1.6 2005/01/06 18:16:42 jay Exp $
*/

#include "jdiamond2lite.h"

#if ENABLED_DIAMOND2_LITE

BlockCipher* JDiamond2Lite::getEncryptionObject()
{
	return new Diamond2LiteEncryption((byte*) itsKey.data(), itsKeylength, itsRounds);
}

BlockCipher* JDiamond2Lite::getDecryptionObject()
{
	return new Diamond2LiteDecryption((byte*) itsKey.data(), itsKeylength, itsRounds);
}

#endif
