/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jgost.cpp,v 1.8 2005/01/06 18:16:42 jay Exp $
*/

#include "jgost.h"

#if ENABLED_GOST

BlockCipher* JGOST::getEncryptionObject()
{
	return new GOSTEncryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JGOST::getDecryptionObject()
{
	return new GOSTDecryption((byte*) itsKey.data(), itsKeylength);
}

#endif
