/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jgost.h,v 1.9 2005/01/06 18:16:42 jay Exp $
*/

#ifndef __JGOST_H__
#define __JGOST_H__

#include "jconfig.h"

#if ENABLED_GOST

#include "jcipher_t.h"

// Crypto++ headers...

#include "gost.h"

using namespace CryptoPP;

class JGOST : public JCipher_Template<GOST_Info, GOST_CIPHER>
{
	protected:
		BlockCipher* getEncryptionObject();
		BlockCipher* getDecryptionObject();
};

#endif
#endif
