/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jmarc4.h,v 1.6 2005/01/06 18:16:42 jay Exp $
*/

#ifndef __JMARC4_H__
#define __JMARC4_H__

#include "jconfig.h"

#if ENABLED_MARC4

#include "jstream_t.h"

// Crypto++ headers...

#include "arc4.h"

using namespace CryptoPP;

class JMARC4 : public JStream_Template<MARC4_Base, MARC4_STREAM>
{
	protected:
		SymmetricCipher* getEncryptionObject();
		SymmetricCipher* getDecryptionObject();
};

#endif
#endif
