/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jrc2.h,v 1.10 2005/01/06 18:16:42 jay Exp $
*/

#ifndef __JRC2_H__
#define __JRC2_H__

#include "jconfig.h"

#if ENABLED_RC2

#include "jcipher_t.h"

// Crypto++ headers...

#include "rc2.h"

using namespace CryptoPP;

class JRC2 : public JCipher_Template<RC2_Info, RC2_CIPHER>
{
	public:
		JRC2();

		unsigned int setEffectiveKeylength(const unsigned int keylength);
		unsigned int getEffectiveKeylength() const;

	protected:
		BlockCipher* getEncryptionObject();
		BlockCipher* getDecryptionObject();

		unsigned int itsEffectiveKeylength;
};

#endif
#endif
