/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jrc5.cpp,v 1.8 2005/01/06 18:16:42 jay Exp $
*/

#include "jrc5.h"

#if ENABLED_RC5

BlockCipher* JRC5::getEncryptionObject()
{
	return new RC5Encryption((byte*) itsKey.data(), itsKeylength, itsRounds);
}

BlockCipher* JRC5::getDecryptionObject()
{
	return new RC5Decryption((byte*) itsKey.data(), itsKeylength, itsRounds);
}

#endif
