/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jrc6.cpp,v 1.8 2005/01/06 18:16:42 jay Exp $
*/

#include "jrc6.h"

#if ENABLED_RC6

BlockCipher* JRC6::getEncryptionObject()
{
	return new RC6Encryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JRC6::getDecryptionObject()
{
	return new RC6Decryption((byte*) itsKey.data(), itsKeylength);
}

#endif
