/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jserpent.h,v 1.9 2005/01/06 18:16:43 jay Exp $
*/

#ifndef __JSERPENT_H__
#define __JSERPENT_H__

#include "jconfig.h"

#if ENABLED_SERPENT

#include "jcipher_t.h"

// Crypto++ headers...

#include "serpent.h"

using namespace CryptoPP;

class JSerpent : public JCipher_Template<Serpent_Info, SERPENT_CIPHER>
{
	protected:
		BlockCipher* getEncryptionObject();
		BlockCipher* getDecryptionObject();
};

#endif
#endif
