/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jshark.cpp,v 1.9 2005/01/06 18:16:43 jay Exp $
*/

#include "jshark.h"

#ifdef WORD64_AVAILABLE
#if ENABLED_SHARK

BlockCipher* JSHARK::getEncryptionObject()
{
	return new SHARKEncryption((byte*) itsKey.data(), itsKeylength, itsRounds);
}

BlockCipher* JSHARK::getDecryptionObject()
{
	return new SHARKDecryption((byte*) itsKey.data(), itsKeylength, itsRounds);
}

#endif
#endif
