/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jshark.h,v 1.10 2005/01/06 18:16:43 jay Exp $
*/

#ifndef __JSHARK_H__
#define __JSHARK_H__

#include "jconfig.h"

#ifdef WORD64_AVAILABLE
#if ENABLED_SHARK

#include "jcipher_t.h"

// Crypto++ headers...

#include "shark.h"

using namespace CryptoPP;

class JSHARK : public JCipher_Template<SHARK_Info, SHARK_CIPHER, 6, 2, INT_MAX>
{
	protected:
		BlockCipher* getEncryptionObject();
		BlockCipher* getDecryptionObject();
};

#endif
#endif
#endif
