/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jskipjack.cpp,v 1.8 2005/01/06 18:16:43 jay Exp $
*/

#include "jskipjack.h"

#if ENABLED_SKIPJACK

BlockCipher* JSKIPJACK::getEncryptionObject()
{
	return new SKIPJACKEncryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JSKIPJACK::getDecryptionObject()
{
	return new SKIPJACKDecryption((byte*) itsKey.data(), itsKeylength);
}

#endif
