/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jskipjack.h,v 1.9 2005/01/06 18:16:43 jay Exp $
*/

#ifndef __JSKIPJACK_H__
#define __JSKIPJACK_H__

#include "jconfig.h"

#if ENABLED_SKIPJACK

#include "jcipher_t.h"

// Crypto++ headers...

#include "skipjack.h"

using namespace CryptoPP;

class JSKIPJACK : public JCipher_Template<SKIPJACK_Info, SKIPJACK_CIPHER>
{
	protected:
		BlockCipher* getEncryptionObject();
		BlockCipher* getDecryptionObject();
};

#endif
#endif
