/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jsquare.cpp,v 1.8 2005/01/06 18:16:43 jay Exp $
*/

#include "jsquare.h"

#if ENABLED_SQUARE

BlockCipher* JSquare::getEncryptionObject()
{
	return new SquareEncryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JSquare::getDecryptionObject()
{
	return new SquareDecryption((byte*) itsKey.data(), itsKeylength);
}

#endif
