/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jtea.cpp,v 1.8 2005/01/06 18:16:43 jay Exp $
*/

#include "jtea.h"

#if ENABLED_TEA

BlockCipher* JTEA::getEncryptionObject()
{
	return new TEAEncryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JTEA::getDecryptionObject()
{
	return new TEADecryption((byte*) itsKey.data(), itsKeylength);
}

#endif
