--TEST--
Running Blowfish tests
--SKIPIF--
<?php if (!extension_loaded('cryptopp') || !@cryptopp_cipher_enabled(CRYPTOPP_CIPHER_BLOWFISH)) die('skip'); ?>
--POST--
--GET--
--FILE--
<?php

require_once('tests.php');

runtest(array(	'ALGORITHM' => CRYPTOPP_CIPHER_BLOWFISH,
				'KEY' => 'abcdefghijklmnopqrstuvwxyz',
				'KEY_HEX' => false,
				'PLAINTEXT' => 'BLOWFISH',
				'PLAINTEXT_HEX' => false,
				'EXPECTED' => '324ED0FEF413A203'
			));
runtest(array(	'ALGORITHM' => CRYPTOPP_CIPHER_BLOWFISH,
				'KEY' => 'Who is John Galt?',
				'KEY_HEX' => false,
				'PLAINTEXT' => 'fedcba9876543210',
				'PLAINTEXT_HEX' => true,
				'EXPECTED' => 'CC91732B8022F684'
			));

?>
--EXPECTF--
%s ZE2 objects

passed:	6162636465666768696A6B6C6D6E6F707172737475767778797A	424C4F5746495348	324ED0FEF413A203
passed:	57686F206973204A6F686E2047616C743F	FEDCBA9876543210	CC91732B8022F684
