--TEST--
Running DES EDE3 tests
--SKIPIF--
<?php if (!extension_loaded('cryptopp') || !@cryptopp_cipher_enabled(CRYPTOPP_CIPHER_DES_EDE3)) die('skip'); ?>
--POST--
--GET--
--FILE--
<?php

require_once('tests.php');

$file = file('3desval.dat');

$blocks = explode('  ', $file[1]);
runtest(array(	'ALGORITHM' => CRYPTOPP_CIPHER_DES_EDE3,
				'KEY' => $blocks[0],
				'PLAINTEXT' => $blocks[1],
				'EXPECTED' => trim($blocks[2])
			));

?>
--EXPECTF--
%s ZE2 objects

passed:	0123456789ABCDEFFEDCBA987654321089ABCDEF01234567	0123456789ABCDE7	DE0B7C06AE5E0ED5
