--TEST--
Running DES XEX3 tests
--SKIPIF--
<?php if (!extension_loaded('cryptopp') || !@cryptopp_cipher_enabled(CRYPTOPP_CIPHER_DES_XEX3)) die('skip'); ?>
--POST--
--GET--
--FILE--
<?php

require_once('tests.php');

$file = file('3desval.dat');

$blocks = explode('  ', $file[2]);
runtest(array(	'ALGORITHM' => CRYPTOPP_CIPHER_DES_XEX3,
				'KEY' => $blocks[0],
				'PLAINTEXT' => $blocks[1],
				'EXPECTED' => trim($blocks[2])
			));

?>
--EXPECTF--
%s ZE2 objects

passed:	0123456789ABCDEF01010101010101011011121314151617	94DBE082549A14EF	9011121314151617
