--TEST--
Running HMAC tests
--SKIPIF--
<?php if (!extension_loaded("cryptopp") || !@cryptopp_hash_enabled(CRYPTOPP_HMAC_MD5)) die("skip"); ?>
--POST--
--GET--
--FILE--
<?php

require_once("tests.php");

print "MD5-HMAC tests:\n\n";

runhashtest(CRYPTOPP_HMAC_MD5, "Hi There", strtoupper("9294727a3638bb1c13f48ef8158bfc9d"), "0b0b0b0b0b0b0b0b0b0b0b0b0b0b0b0b");
runhashtest(CRYPTOPP_HMAC_MD5, "what do ya want for nothing?", strtoupper("750c783e6ab0b503eaa86e310a5db738"), "4A656665");
runhashtest(CRYPTOPP_HMAC_MD5, "Test Using Larger Than Block-Size Key - Hash Key First", strtoupper("6b1ab7fe4bd7bf8f0b62e6ce61b9d0cd"), str_pad("", 160, "A"));

?>
--EXPECTF--
%s ZE2 objects

MD5-HMAC tests:

passed:	Hi There	9294727A3638BB1C13F48EF8158BFC9D
passed:	what do ya want for nothing?	750C783E6AB0B503EAA86E310A5DB738
passed:	Test Using Larger Than Block-Size Key - Hash Key First	6B1AB7FE4BD7BF8F0B62E6CE61B9D0CD
