--TEST--
Running SAFER K64 tests
--SKIPIF--
<?php if (!extension_loaded('cryptopp') || !@cryptopp_cipher_enabled(CRYPTOPP_CIPHER_SAFER_K)) die('skip'); ?>
--POST--
--GET--
--FILE--
<?php

require_once('tests.php');

$file = file('saferval.dat');
for ($i = 0; $i < 4; $i++) {
	$blocks = explode('   ', $file[$i]);
	runtest(array(	'ALGORITHM' => CRYPTOPP_CIPHER_SAFER_K,
					'KEY' => $blocks[0],
					'PLAINTEXT' => $blocks[1],
					'EXPECTED' => trim($blocks[2])
				));
}

?>
--EXPECTF--
%s ZE2 objects

passed:	0000000000000000	0000000000000000	032808C90EE7AB7F
passed:	0000000000000000	0102030405060708	7D28038633B92EB4
passed:	0102030405060708	1011121314151617	71E5CF7F083A59C5
passed:	0102030405060708	18191A1B1C1D1E1F	356F702CC7FA8161
