--TEST--
Running SAFER SK64 tests
--SKIPIF--
<?php if (!extension_loaded('cryptopp') || !@cryptopp_cipher_enabled(CRYPTOPP_CIPHER_SAFER_SK)) die('skip'); ?>
--POST--
--GET--
--FILE--
<?php

require_once('tests.php');

$file = file('saferval.dat');
for ($i = 8; $i < 12; $i++) {
	$blocks = explode('   ', $file[$i]);
	runtest(array(	'ALGORITHM' => CRYPTOPP_CIPHER_SAFER_SK,
					'KEY' => $blocks[0],
					'PLAINTEXT' => $blocks[1],
					'EXPECTED' => trim($blocks[2]),
					'ROUNDS' => 6
				));
}

?>
--EXPECTF--
%s ZE2 objects

passed:	0000000000000001	7071727374757677	9ABE2C85BE2D7614
passed:	0000000000000001	78797A7B7C7D7E7F	EBC4A9C6C25CF215
passed:	0102030405060708	8081828384858687	54E72BA2D744C566
passed:	0102030405060708	88898A8B8C8D8E8F	57F55D0F7EB6F8FE
