--TEST--
Running SHA-256 tests
--SKIPIF--
<?php if (!extension_loaded("cryptopp") || !@cryptopp_hash_enabled(CRYPTOPP_HASH_SHA256)) die("skip"); ?>
--POST--
--GET--
--FILE--
<?php

require_once("tests.php");

runhashtest(CRYPTOPP_HASH_SHA256, "abc", strtoupper("ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad"));
runhashtest(CRYPTOPP_HASH_SHA256, "abcdbcdecdefdefgefghfghighijhijkijkljklmklmnlmnomnopnopq", strtoupper("248d6a61d20638b8e5c026930c3e6039a33ce45964ff2167f6ecedd419db06c1"));

?>
--EXPECTF--
%s ZE2 objects

passed:	abc	BA7816BF8F01CFEA414140DE5DAE2223B00361A396177A9CB410FF61F20015AD
passed:	abcdbcdecdefdefgefghfghighijhijkijkljklmklmnlmnomnopnopq	248D6A61D20638B8E5C026930C3E6039A33CE45964FF2167F6ECEDD419DB06C1
