/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: j3way.cpp,v 1.8 2005/01/06 18:16:42 jay Exp $
*/

#include "j3way.h"

#if ENABLED_3WAY

BlockCipher* J3Way::getEncryptionObject()
{
	return new ThreeWayEncryption((byte*) itsKey.data(), itsKeylength, itsRounds);
}

BlockCipher* J3Way::getDecryptionObject()
{
	return new ThreeWayDecryption((byte*) itsKey.data(), itsKeylength, itsRounds);
}

#endif
