/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: j3way.h,v 1.9 2005/01/06 18:16:42 jay Exp $
*/

#ifndef __J3WAY_H__
#define __J3WAY_H__

#include "jconfig.h"

#if ENABLED_3WAY

#include "jcipher_t.h"

// Crypto++ headers...

#include "3way.h"

class J3Way : public JCipher_Template<ThreeWay_Info, THREEWAY_CIPHER, 11, 1, INT_MAX>
{
	protected:
		BlockCipher* getEncryptionObject();
		BlockCipher* getDecryptionObject();
};

#endif
#endif
