/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jadler32.h,v 1.8 2005/01/06 18:16:42 jay Exp $
*/

#ifndef __JADLER32_H__
#define __JADLER32_H__

#include "jconfig.h"

#if ENABLED_ADLER32

#include "jhash_t.h"

// Crypto++ headers...

#include "adler32.h"

using namespace CryptoPP;

class JAdler32 : public JHash_Template<Adler32, ADLER32_CHECKSUM>
{
	public:
		JAdler32(string plaintext = "") : JHash_Template<Adler32, ADLER32_CHECKSUM>(plaintext) { }

		static string getHashName() { return "Adler32"; }
};

#endif
#endif
