/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jaes.cpp,v 1.8 2005/01/06 18:16:42 jay Exp $
*/

#include "jaes.h"

#if ENABLED_AES

BlockCipher* JAES::getEncryptionObject()
{
	return new AESEncryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JAES::getDecryptionObject()
{
	return new AESDecryption((byte*) itsKey.data(), itsKeylength);
}

#endif
