/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jaes.h,v 1.9 2005/01/06 18:16:42 jay Exp $
*/

#ifndef __JAES_H__
#define __JAES_H__

#include "jconfig.h"

#if ENABLED_AES

#include "jcipher_t.h"

// Crypto++ headers...

#include "aes.h"

class JAES : public JCipher_Template<Rijndael_Info, AES_CIPHER>
{
	protected:
		BlockCipher* getEncryptionObject();
		BlockCipher* getDecryptionObject();
};

typedef JAES JRijndael;

#endif
#endif
