/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jblowfish.h,v 1.9 2005/01/06 18:16:42 jay Exp $
*/

#ifndef __JBLOWFISH_H__
#define __JBLOWFISH_H__

#include "jconfig.h"

#if ENABLED_BLOWFISH

#include "jcipher_t.h"

// Crypto++ headers...

#include "blowfish.h"

class JBlowfish : public JCipher_Template<Blowfish_Info, BLOWFISH_CIPHER>
{
	protected:
		BlockCipher* getEncryptionObject();
		BlockCipher* getDecryptionObject();
};

#endif
#endif
