/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jcamellia.cpp,v 1.2 2005/01/06 18:16:42 jay Exp $
*/

#include "jcamellia.h"

#ifdef WORD64_AVAILABLE
#if ENABLED_CAMELLIA

BlockCipher* JCamellia::getEncryptionObject()
{
	return new CamelliaEncryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JCamellia::getDecryptionObject()
{
	return new CamelliaDecryption((byte*) itsKey.data(), itsKeylength);
}

#endif
#endif
