/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jcamellia.h,v 1.2 2005/01/06 18:16:42 jay Exp $
*/

#ifndef __JCAMELLIA_H__
#define __JCAMELLIA_H__

#include "jconfig.h"

#ifdef WORD64_AVAILABLE
#if ENABLED_CAMELLIA

#include "jcipher_t.h"

// Crypto++ headers...

#include "camellia.h"

using namespace CryptoPP;

class JCamellia : public JCipher_Template<Camellia_Info, CAMELLIA_CIPHER>
{
	protected:
		BlockCipher* getEncryptionObject();
		BlockCipher* getDecryptionObject();
};

#endif
#endif
#endif
