/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jcast128.cpp,v 1.8 2005/01/06 18:16:42 jay Exp $
*/

#include "jcast128.h"

#if ENABLED_CAST128

BlockCipher* JCAST128::getEncryptionObject()
{
	return new CAST128Encryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JCAST128::getDecryptionObject()
{
	return new CAST128Decryption((byte*) itsKey.data(), itsKeylength);
}

#endif
