/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jdes.cpp,v 1.8 2005/01/06 18:16:42 jay Exp $
*/

#include "jdes.h"

#if ENABLED_DES

BlockCipher* JDES::getEncryptionObject()
{
	return new DESEncryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JDES::getDecryptionObject()
{
	return new DESDecryption((byte*) itsKey.data(), itsKeylength);
}

#endif
