/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jdes_ede3.cpp,v 1.8 2005/01/06 18:16:42 jay Exp $
*/

#include "jdes_ede3.h"

#if ENABLED_DES_EDE3

BlockCipher* JDES_EDE3::getEncryptionObject()
{
	return new DES_EDE3_Encryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JDES_EDE3::getDecryptionObject()
{
	return new DES_EDE3_Decryption((byte*) itsKey.data(), itsKeylength);
}

#endif
