/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jdiamond2lite.h,v 1.6 2005/01/06 18:16:42 jay Exp $
*/

#ifndef __JDIAMOND2LITE_H__
#define __JDIAMOND2LITE_H__

#include "jconfig.h"

#if ENABLED_DIAMOND2

#include "jcipher_t.h"

// Crypto++ headers...

#include "diamond.h"

using namespace CryptoPP;

class JDiamond2Lite : public JCipher_Template<Diamond2Lite_Info, DIAMOND2_LITE_CIPHER, 8, 1, INT_MAX>
{
	protected:
		BlockCipher* getEncryptionObject();
		BlockCipher* getDecryptionObject();
};

#endif
#endif
