/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jidea.cpp,v 1.8 2005/01/06 18:16:42 jay Exp $
*/

#include "jidea.h"

#if ENABLED_IDEA

BlockCipher* JIDEA::getEncryptionObject()
{
	return new IDEAEncryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JIDEA::getDecryptionObject()
{
	return new IDEADecryption((byte*) itsKey.data(), itsKeylength);
}

#endif
