/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jidea.h,v 1.9 2005/01/06 18:16:42 jay Exp $
*/

#ifndef __JIDEA_H__
#define __JIDEA_H__

#include "jconfig.h"

#if ENABLED_IDEA

#include "jcipher_t.h"

// Crypto++ headers...

#include "idea.h"

using namespace CryptoPP;

class JIDEA : public JCipher_Template<IDEA_Info, IDEA_CIPHER>
{
	protected:
		BlockCipher* getEncryptionObject();
		BlockCipher* getDecryptionObject();
};

#endif
#endif
