/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jmarc4.cpp,v 1.5 2005/01/06 18:16:42 jay Exp $
*/

#include "jmarc4.h"

#if ENABLED_MARC4

SymmetricCipher* JMARC4::getEncryptionObject()
{
	return new MARC4((byte*) itsKey.data(), itsKeylength);
}

SymmetricCipher* JMARC4::getDecryptionObject()
{
	return getEncryptionObject();
}

#endif
