/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jmars.cpp,v 1.9 2005/01/06 18:16:42 jay Exp $
*/

#include "jmars.h"

#if ENABLED_MARS

BlockCipher* JMARS::getEncryptionObject()
{
	return new MARSEncryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JMARS::getDecryptionObject()
{
	return new MARSDecryption((byte*) itsKey.data(), itsKeylength);
}

#endif
