/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jmars.h,v 1.9 2005/01/06 18:16:42 jay Exp $
*/

#ifndef __JMARS_H__
#define __JMARS_H__

#include "jconfig.h"

#if ENABLED_MARS

#include "jcipher_t.h"

// Crypto++ headers...

#include "mars.h"

using namespace CryptoPP;

class JMARS : public JCipher_Template<MARS_Info, MARS_CIPHER>
{
	protected:
		BlockCipher* getEncryptionObject();
		BlockCipher* getDecryptionObject();
};

#endif
#endif
