/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jserpent.cpp,v 1.8 2005/01/06 18:16:43 jay Exp $
*/

#include "jserpent.h"

#if ENABLED_SERPENT

BlockCipher* JSerpent::getEncryptionObject()
{
	return new SerpentEncryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JSerpent::getDecryptionObject()
{
	return new SerpentDecryption((byte*) itsKey.data(), itsKeylength);
}

#endif
