/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jshacal2.cpp,v 1.2 2005/01/06 18:16:43 jay Exp $
*/

#include "jshacal2.h"

#if ENABLED_SHACAL2

BlockCipher* JSHACAL2::getEncryptionObject()
{
	return new SHACAL2Encryption((byte*) itsKey.data(), itsKeylength);
}

BlockCipher* JSHACAL2::getDecryptionObject()
{
	return new SHACAL2Decryption((byte*) itsKey.data(), itsKeylength);
}

#endif
