/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jshacal2.h,v 1.2 2005/01/06 18:16:43 jay Exp $
*/

#ifndef __JSHACAL2_H__
#define __JSHACAL2_H__

#include "jconfig.h"

#if ENABLED_SHACAL2

#include "jcipher_t.h"

// Crypto++ headers...

#include "shacal2.h"

using namespace CryptoPP;

class JSHACAL2 : public JCipher_Template<SHACAL2_Info, SHACAL2_CIPHER>
{
	protected:
		BlockCipher* getEncryptionObject();
		BlockCipher* getDecryptionObject();
};

#endif
#endif
