/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jsquare.h,v 1.9 2005/01/06 18:16:43 jay Exp $
*/

#ifndef __JSQUARE_H__
#define __JSQUARE_H__

#include "jconfig.h"

#if ENABLED_SQUARE

#include "jcipher_t.h"

// Crypto++ headers...

#include "square.h"

using namespace CryptoPP;

class JSquare : public JCipher_Template<Square_Info, SQUARE_CIPHER>
{
	protected:
		BlockCipher* getEncryptionObject();
		BlockCipher* getDecryptionObject();
};

#endif
#endif
