/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jtea.h,v 1.9 2005/01/06 18:16:43 jay Exp $
*/

#ifndef __JTEA_H__
#define __JTEA_H__

#include "jconfig.h"

#if ENABLED_TEA

#include "jcipher_t.h"

// Crypto++ headers...

#include "tea.h"

using namespace CryptoPP;

class JTEA : public JCipher_Template<TEA_Info, TEA_CIPHER>
{
	protected:
		BlockCipher* getEncryptionObject();
		BlockCipher* getDecryptionObject();
};

#endif
#endif
