/*
   +----------------------------------------------------------------------+
   | Copyright (c) 2002-2005 J Smith <dark_panda@hushmail.com>            |
   | Crypto++ sources (not included) copyright (c) 1995-2003 Wei Dai      |
   +----------------------------------------------------------------------+
   | Check out COPYING for the exact license.                             |
   +----------------------------------------------------------------------+

$Id: jtwofish.h,v 1.9 2005/01/06 18:16:43 jay Exp $
*/

#ifndef __JTWOFISH_H__
#define __JTWOFISH_H__

#include "jconfig.h"

#if ENABLED_TWOFISH

#include "jcipher_t.h"

// Crypto++ headers...

#include "twofish.h"

using namespace CryptoPP;

class JTwofish : public JCipher_Template<Twofish_Info, TWOFISH_CIPHER>
{
	protected:
		BlockCipher* getEncryptionObject();
		BlockCipher* getDecryptionObject();
};

#endif
#endif
