--TEST--
Running Adler32 tests
--SKIPIF--
<?php if (!extension_loaded("cryptopp") || !cryptopp_hash_enabled(CRYPTOPP_HASH_ADLER32)) die("skip"); ?>
--POST--
--GET--
--FILE--
<?php

require_once("tests.php");

runhashtest(CRYPTOPP_HASH_ADLER32, "", "00000001");
runhashtest(CRYPTOPP_HASH_ADLER32, "a", "00620062");
runhashtest(CRYPTOPP_HASH_ADLER32, "abc", "024D0127");
runhashtest(CRYPTOPP_HASH_ADLER32, "message digest", "29750586");
runhashtest(CRYPTOPP_HASH_ADLER32, "abcdefghijklmnopqrstuvwxyz", "90860B20");
runhashtest(CRYPTOPP_HASH_ADLER32, "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789", "8ADB150C");

?>
--EXPECTF--
%s ZE2 objects

passed:		00000001
passed:	a	00620062
passed:	abc	024D0127
passed:	message digest	29750586
passed:	abcdefghijklmnopqrstuvwxyz	90860B20
passed:	ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789	8ADB150C
