--TEST--
Running CAST-128 tests
--SKIPIF--
<?php if (!extension_loaded('cryptopp') || !@cryptopp_cipher_enabled(CRYPTOPP_CIPHER_CAST128)) die('skip'); ?>
--POST--
--GET--
--FILE--
<?php

require_once('tests.php');

$file = file('cast128v.dat');
foreach ($file as $key => $var) {
	$blocks = explode('  ', $var);
	runtest(array(	'ALGORITHM' => CRYPTOPP_CIPHER_CAST128,
					'KEY' => $blocks[0],
					'PLAINTEXT' => $blocks[1],
					'EXPECTED' => strtoupper(trim($blocks[2]))
				));
}

?>
--EXPECTF--
%s ZE2 objects

passed:	0123456712345678234567893456789A	0123456789ABCDEF	238B4FE5847E44B2
passed:	01234567123456782345	0123456789ABCDEF	EB6A711A2C02271B
passed:	0123456712	0123456789ABCDEF	7AC816D16E9B302E
