--TEST--
Running DES EDE2 tests
--SKIPIF--
<?php if (!extension_loaded('cryptopp') || !@cryptopp_cipher_enabled(CRYPTOPP_CIPHER_DES_EDE2)) die('skip'); ?>
--POST--
--GET--
--FILE--
<?php

require_once('tests.php');

$file = file('3desval.dat');

$blocks = explode('  ', $file[0]);
runtest(array(	'ALGORITHM' => CRYPTOPP_CIPHER_DES_EDE2,
				'KEY' => $blocks[0],
				'PLAINTEXT' => $blocks[1],
				'EXPECTED' => trim($blocks[2])
			));

?>
--EXPECTF--
%s ZE2 objects

passed:	0123456789ABCDEFFEDCBA9876543210	0123456789ABCDE7	7F1D0A77826B8AFF
