--TEST--
Running Diamond2 tests
--SKIPIF--
<?php if (!extension_loaded('cryptopp') || !@cryptopp_cipher_enabled(CRYPTOPP_CIPHER_DIAMOND2)) die('skip'); ?>
--POST--
--GET--
--FILE--
<?php

require_once('tests.php');

$file = file('diamond.dat');
$blocks = explode('  ', $file[1]);
runtest(array(	'ALGORITHM' => CRYPTOPP_CIPHER_DIAMOND2,
				'KEY' => $blocks[0],
				'PLAINTEXT' => $blocks[1],
				'EXPECTED' => trim($blocks[2]),
				'ROUNDS' => 15
			));

$blocks = explode('  ', $file[3]);
runtest(array(	'ALGORITHM' => CRYPTOPP_CIPHER_DIAMOND2,
				'KEY' => $blocks[0],
				'PLAINTEXT' => $blocks[1],
				'EXPECTED' => trim($blocks[2]),
				'ROUNDS' => 14
			));

$blocks = explode('  ', $file[5]);
runtest(array(	'ALGORITHM' => CRYPTOPP_CIPHER_DIAMOND2,
				'KEY' => $blocks[0],
				'PLAINTEXT' => $blocks[1],
				'EXPECTED' => trim($blocks[2]),
				'ROUNDS' => 9
			));


?>
--EXPECTF--
%s ZE2 objects

passed:	E834FDB933C502923D92BC9E14368E70D41C66CBDF36155033A66E07E6CC6D8D	5A8D872D31EEDDE63FC46F6C36456D8E	39B60490AEEF791A29015D74494AAA89
passed:	599B02FBD0D321A789EB97B388BF77C663	56A25A87D40AB25A1DD972A7D154F8A5	081420F230D5A85AB2B55453C43C7967
passed:	3361066B2C297543	787699FCB627774FCF0F0D82462D6E7D	CEB8B4F88C02DF34ADDAF431E7A7A07C
