--TEST--
Running Diamond2Lite tests
--SKIPIF--
<?php if (!extension_loaded('cryptopp') || !@cryptopp_cipher_enabled(CRYPTOPP_CIPHER_DIAMOND2_LITE)) die('skip'); ?>
--POST--
--GET--
--FILE--
<?php

require_once('tests.php');

$file = file('diamond.dat');
$blocks = explode('  ', $file[0]);
runtest(array(	'ALGORITHM' => CRYPTOPP_CIPHER_DIAMOND2_LITE,
				'KEY' => $blocks[0],
				'PLAINTEXT' => $blocks[1],
				'EXPECTED' => trim($blocks[2]),
				'ROUNDS' => 30
			));

$blocks = explode('  ', $file[2]);
runtest(array(	'ALGORITHM' => CRYPTOPP_CIPHER_DIAMOND2_LITE,
				'KEY' => $blocks[0],
				'PLAINTEXT' => $blocks[1],
				'EXPECTED' => trim($blocks[2]),
				'ROUNDS' => 11
			));

$blocks = explode('  ', $file[4]);
runtest(array(	'ALGORITHM' => CRYPTOPP_CIPHER_DIAMOND2_LITE,
				'KEY' => $blocks[0],
				'PLAINTEXT' => $blocks[1],
				'EXPECTED' => trim($blocks[2]),
				'ROUNDS' => 10
			));

?>
--EXPECTF--
%s ZE2 objects

passed:	E834FDB933C502923D92BC9E14368E70D41C66CBDF36155033A66E07E6CC6D8D	5A8D872D31EEDDE6	2E69544D7723CBA0
passed:	599B02FBD0D321A789EB97B388BF77C663	56A25A87D40AB25A	3177400DE74099BB
passed:	3361066B2C297543	787699FCB627774F	06AD8CDF623D31F7
