--TEST--
Running exceptions tests
--SKIPIF--
<?php if (!version_compare(zend_version(), '2.0.0-dev', '>=')) die("skip"); ?>
--POST--
--GET--
--FILE--
<?php

eval('
try {
    $c = new CryptoppCipher(1000);
}
catch (CryptoppException $e) {
    var_dump($e);
}

try {
    $h = new CryptoppHash(1000);
}
catch (CryptoppException $e) {
    var_dump($e);
}

var_dump(isset($c));
var_dump(isset($h));
');

?>
--EXPECTF--
object(CryptoppException)#2 (6) {
  ["message:protected"]=>
  string(48) "CryptoppCipher() received a bad cipher algorithm"
  ["string:private"]=>
  string(0) ""
  ["code:protected"]=>
  int(0)
  ["file:protected"]=>
  string(%d) "%s"
  ["line:protected"]=>
  int(%d)
  ["trace:private"]=>
  array(1) {
    [0]=>
    array(3) {
      ["file"]=>
      string(%d) "%s"
      ["line"]=>
      int(%d)
      ["function"]=>
      string(4) "eval"
    }
  }
}
object(CryptoppException)#3 (6) {
  ["message:protected"]=>
  string(44) "CryptoppHash() received a bad hash algorithm"
  ["string:private"]=>
  string(0) ""
  ["code:protected"]=>
  int(0)
  ["file:protected"]=>
  string(%d) "%s"
  ["line:protected"]=>
  int(%d)
  ["trace:private"]=>
  array(1) {
    [0]=>
    array(3) {
      ["file"]=>
      string(%d) "%s"
      ["line"]=>
      int(%d)
      ["function"]=>
      string(4) "eval"
    }
  }
}
bool(false)
bool(false)
