--TEST--
Running HAVAL tests
--SKIPIF--
<?php if (!extension_loaded("cryptopp") || !@cryptopp_hash_enabled(CRYPTOPP_HASH_HAVAL)) die("skip"); ?>
--POST--
--GET--
--FILE--
<?php

require_once("tests.php");

print "HAVAL tests:\n";

// skip the first four until we have digest size support

//runhashtest(CRYPTOPP_HASH_HAVAL3, "", strtoupper(bin2hex("C68F39913F901F3DDF44C707357A7D70")));
//runhashtest(CRYPTOPP_HASH_HAVAL3, "a", strtoupper(bin2hex("4DA08F514A7275DBC4CECE4A347385983983A830")));
//runhashtest(CRYPTOPP_HASH_HAVAL4, "HAVAL", strtoupper(bin2hex("0C1396D7772689C46773F3DAACA4EFA982ADBFB2F1467EEA")));
//runhashtest(CRYPTOPP_HASH_HAVAL4, "0123456789", strtoupper(bin2hex("BEBD7816F09BAEECF8903B1B9BC672D9FA428E462BA699F814841529")));
runhashtest(CRYPTOPP_HASH_HAVAL5, "abcdefghijklmnopqrstuvwxyz", "C9C7D8AFA159FD9E965CB83FF5EE6F58AEDA352C0EFF005548153A61551C38EE");
runhashtest(CRYPTOPP_HASH_HAVAL5, "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789", "B45CB6E62F2B1320E4F8F1B0B273D45ADD47C321FD23999DCF403AC37636D963");

?>
--EXPECTF--
%s ZE2 objects

HAVAL tests:
passed:	abcdefghijklmnopqrstuvwxyz	C9C7D8AFA159FD9E965CB83FF5EE6F58AEDA352C0EFF005548153A61551C38EE
passed:	ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789	B45CB6E62F2B1320E4F8F1B0B273D45ADD47C321FD23999DCF403AC37636D963
