--TEST--
Running SHA1 tests
--SKIPIF--
<?php if (!extension_loaded("cryptopp") || !@cryptopp_hash_enabled(CRYPTOPP_HASH_SHA1)) die("skip"); ?>
--POST--
--GET--
--FILE--
<?php

require_once("tests.php");

runhashtest(CRYPTOPP_HASH_SHA1, "abc", "A9993E364706816ABA3E25717850C26C9CD0D89D");
runhashtest(CRYPTOPP_HASH_SHA1, "abcdbcdecdefdefgefghfghighijhijkijkljklmklmnlmnomnopnopq", "84983E441C3BD26EBAAE4AA1F95129E5E54670F1");

?>
--EXPECTF--
%s ZE2 objects

passed:	abc	A9993E364706816ABA3E25717850C26C9CD0D89D
passed:	abcdbcdecdefdefgefghfghighijhijkijkljklmklmnlmnomnopnopq	84983E441C3BD26EBAAE4AA1F95129E5E54670F1
