--TEST--
Running SKIPJACK tests
--SKIPIF--
<?php if (!extension_loaded('cryptopp') || !@cryptopp_cipher_enabled(CRYPTOPP_CIPHER_SKIPJACK)) die('skip'); ?>
--POST--
--GET--
--FILE--
<?php

require_once('tests.php');

$file = file('skipjack.dat');
foreach ($file as $key => $var) {
	$blocks = explode('  ', $var);
	runtest(array(	'ALGORITHM' => CRYPTOPP_CIPHER_SKIPJACK,
					'KEY' => $blocks[0],
					'PLAINTEXT' => $blocks[1],
					'EXPECTED' => strtoupper(trim($blocks[2]))
				));
}

?>
--EXPECTF--
%s ZE2 objects

passed:	11223344556677889900	AABBCCDD00112233	00D3127AE2CA8725
